<?php
/**
 * The main template file
 *
 * @package Blorigan
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php if ( have_posts() ) : ?>

				<?php if ( is_home() && ! is_front_page() ) : ?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
					</header>
				<?php endif; ?>

				<?php
				while ( have_posts() ) :
					the_post();
				?>

					<?php get_template_part( 'template-parts/content' ); ?>

				<?php endwhile; ?>

				<?php
				/**
				 * Hook - blorigan_action_posts_navigation.
				 *
				 * @hooked: blorigan_custom_posts_navigation - 10
				 */
				do_action( 'blorigan_action_posts_navigation' );
				?>

			<?php else : ?>

				<?php get_template_part( 'template-parts/content', 'none' ); ?>

			<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
	/**
	 * Hook - blorigan_action_sidebar.
	 *
	 * @hooked: blorigan_add_sidebar - 10
	 */
	do_action( 'blorigan_action_sidebar' );
?>
<?php
get_footer();
